## GtrHistoryEntry

GtrHistoryEntry

## Functions

GtkWidget * | gtr_history_entry_new ()
void | gtr_history_entry_prepend_text ()
void | gtr_history_entry_append_text ()
void | gtr_history_entry_clear ()
void | gtr_history_entry_set_history_length ()
guint | gtr_history_entry_get_history_length ()
void | gtr_history_entry_set_enable_completion ()
gboolean | gtr_history_entry_get_enable_completion ()
GtkWidget * | gtr_history_entry_get_entry ()
gchar * | (*GtrHistoryEntryEscapeFunc) ()
void | gtr_history_entry_set_escape_func ()

## Description

## Functions

### gtr_history_entry_new ()

    GtkWidget *
    gtr_history_entry_new (const gchar *history_id,
                           gboolean enable_completion);

#### Returns

### gtr_history_entry_prepend_text ()

    void
    gtr_history_entry_prepend_text (GtrHistoryEntry *entry,
                                    const gchar *text);

### gtr_history_entry_append_text ()

    void
    gtr_history_entry_append_text (GtrHistoryEntry *entry,
                                   const gchar *text);

### gtr_history_entry_clear ()

    void
    gtr_history_entry_clear (GtrHistoryEntry *entry);

### gtr_history_entry_set_history_length ()

    void
    gtr_history_entry_set_history_length (GtrHistoryEntry *entry,
                                          guint max_saved);

### gtr_history_entry_get_history_length ()

    guint
    gtr_history_entry_get_history_length (GtrHistoryEntry *gentry);

#### Returns

### gtr_history_entry_set_enable_completion ()

    void
    gtr_history_entry_set_enable_completion
                                   (GtrHistoryEntry *entry,
                                    gboolean enable);

### gtr_history_entry_get_enable_completion ()

    gboolean
    gtr_history_entry_get_enable_completion
                                   (GtrHistoryEntry *entry);

#### Returns

### gtr_history_entry_get_entry ()

    GtkWidget *
    gtr_history_entry_get_entry (GtrHistoryEntry *entry);

#### Returns

### GtrHistoryEntryEscapeFunc ()

    gchar *
    (*GtrHistoryEntryEscapeFunc) (const gchar *str);

#### Returns

### gtr_history_entry_set_escape_func ()

    void
    gtr_history_entry_set_escape_func (GtrHistoryEntry *entry,
                                       GtrHistoryEntryEscapeFunc escape_func);

## Types and Values